@import url(./color.css);
@import url(./font.css);
* {
  padding: 0;
  margin: 0;
  font-family: Arial, "Arial Narrow", sans-serif;
}

/* d */

/* From uiverse.io by @felipesntr */

.color-primario{
  color: var(--color-primario);
}

.color-secundario{
  color: var(--color-secundario);
}

.fw-700{
  font-weight: 700;
}

.btn-ss {
  font-size: 16px;
  height: 64px;
  position: relative;
  font-family: FiraSans-Medium;
  margin: auto;
  font-size: 13px;
  border: none;
  background: var(--color-base);
  padding: 5px 5px;
  transition: all 0.1s linear;
  width: 49%;
  box-shadow: 0 0.4em 1em rgba(0, 0, 0, 0.1);
}

.btn-ss:active {
  transform: scale(0.95);
}

.btn-ss span {
  color: #464646;
}

.btn-ss .border {
  position: absolute;
  border: 0.15em solid var(--color-base);
  transition: all 0.3s 0.08s linear;
  top: 50%;
  left: 50%;
  width: 100%;
  height: 100%;
  transform: translate(-50%, -50%);
}

.btn-ss:hover .border {
  display: block;
  width: 105%;
  height: 110%;
}

.full-rounded {
  border-radius: 2em;
}

/* From uiverse.io by @adamgiebl */
.btn-envio {
  font-family: inherit;
  font-size: 20px;
  background: royalblue;
  color: var(--color-base);
  padding: 5px 10px;
  padding-left: 15px;
  padding-left: 0.9em;
  display: flex;
  align-items: center;
  border: none;
  border-radius: 16px;
  overflow: hidden;
  transition: all 0.2s;
}

.btn-envio span {
  display: block;
  margin-left: 0.3em;
  transition: all 0.3s ease-in-out;
}

.btn-envio svg {
  display: block;
  transform-origin: center center;
  transition: transform 0.3s ease-in-out;
}

.btn-envio:hover .svg-wrapper {
  animation: fly-1 0.6s ease-in-out infinite alternate;
}

.btn-envio:hover svg {
  transform: translateX(1.2em) rotate(45deg) scale(1.1);
}

.btn-envio:hover span {
  transform: translateX(5em);
}

.btn-envio:active {
  transform: scale(0.95);
}

@keyframes fly-1 {
  from {
    transform: translateY(0.1em);
  }

  to {
    transform: translateY(-0.1em);
  }
}

/* From uiverse.io by @mrhyddenn */
.icon-btn {
  width: 50px;
  height: 50px;
  border: 1px solid #cdcdcd;
  background: var(--color-base);
  border-radius: 25px;
  overflow: hidden;
  position: relative;
  transition: width 0.2s ease-in-out;
  font-weight: 500;
  font-family: inherit;
}

/* .add-btn:hover {
  width: 120px;
} */

.add-btn.active {
  width: 120px;
}

.add-btn::before,
.add-btn::after {
  transition: width 0.2s ease-in-out, border-radius 0.2s ease-in-out;
  content: "";
  position: absolute;
  height: 4px;
  width: 10px;
  top: calc(50% - 2px);
  background: seagreen;
}

.add-btn::after {
  right: 14px;
  overflow: hidden;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

.add-btn::before {
  left: 14px;
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

.icon-btn:focus {
  outline: none;
}

.btn-txt {
  opacity: 0;
  transition: opacity 0.2s;
}

.add-btn:hover::before,
.add-btn:hover::after {
  width: 4px;
  border-radius: 2px;
}

.add-btn::before.active,
.add-btn::after.active {
  width: 4px;
  border-radius: 2px;
}

/* .add-btn:hover .btn-txt {
  opacity: 1;
} */

.add-btn.active .btn-txt {
  opacity: 1;
}

.add-icon::after,
.add-icon::before {
  transition: all 0.2s ease-in-out;
  content: "";
  position: absolute;
  height: 20px;
  width: 2px;
  top: calc(50% - 10px);
  background: seagreen;
  overflow: hidden;
}

.add-icon::before {
  left: 22px;
  border-top-left-radius: 2px;
  border-bottom-left-radius: 2px;
}

.add-icon::after {
  right: 22px;
  border-top-right-radius: 2px;
  border-bottom-right-radius: 2px;
}

/* .add-btn:hover .add-icon::before {
  left: 15px;
  height: 4px;
  top: calc(50% - 2px);
} */

.add-btn.active .add-icon::before {
  left: 15px;
  height: 4px;
  top: calc(50% - 2px);
}


.add-btn.active .add-icon::after {
  right: 15px;
  height: 4px;
  top: calc(50% - 2px);
}

/* Gestión de eventos */

hr {
  opacity: 1;
  background-color: var(--color-secundario);
  width: 40%;
  height: 4px;
  border: none;
  margin: auto;
}

#hr-nosotros {
  margin: 0;
  width: 30%;
  margin-left: 30px;
  animation: aum-1 1s 1;
}

@keyframes aum-1 {
  from {
    width: 100%;
  }

  to {
    width: 30%;
  }
}

#hr-nosotros.active {
  width: 100%;
  animation: aum 1s 1;
  margin-left: 0px;
}

@keyframes aum {
  from {
    width: 30%;
  }

  to {
    width: 100%;
  }
}



.resalto-p-1{
  color: var(--color-primario);
  font-size: 18px;
  font-family: FiraSans-Medium;
}

.resalto-p-2{
  color: var(--color-quinto);
  font-size: 17px;
  font-family: FiraSans-Medium;
}

.resalto-p-3{
  color: var(--color-quinto);
  font-size: 17px;
  font-family: FiraSans-Medium;
  font-weight: 500;
}

.ing-text {
  font-family: FiraSans-Medium;
  font-size: 16px;
  text-align: justify;
}

.verMas-ing{
  font-family: FiraSans-Medium;
  font-size: 16px;
  text-align: justify;
  color: var(--color-secundario);
  text-decoration: underline;
  cursor: pointer;
  transition: .4s;
  
}

.text-nosotros{
  margin: 0;
}

.verMas-ing:hover{
  transform: scale(1.1);
}

.text-title {
  font-family: SecularOne;
}

.center-content {
  width: 100%;
  display: inline-flex;
  justify-content: center;
}

.btn-ing {
  padding: 10px 28px;
  text-align: center;
  font-family: SecularOne;
  font-size: 18px;
  border-radius: 10px;
  margin-top: 10px;
  box-shadow: 5px 5px 5px var(--color-dark);
  transition: 0.4s;
  margin-left: 7px;
  margin-right: 7px;
}

.btn-ing:hover {
  transform: scale(1.1);
}

.btn-ing-primary {
  border: 2px solid #17c3b2;
  position: relative;
  overflow: hidden;
  background-color: transparent;
  text-align: center;
  text-transform: uppercase;
  transition: 0.3s;
  z-index: 1;
  font-family: inherit;
  color: #17c3b2;
  box-shadow: 5px 5px 4px #17c3b24f;
}

.btn-ing-primary::before {
  content: "";
  width: 0;
  height: 300%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background: #17c3b2;
  transition: 0.5s ease;
  display: block;
  z-index: -1;
}

.btn-ing-primary:hover::before {
  width: 105%;
}

.btn-ing-primary:hover {
  color: var(--color-dark);
}

/*  */

.btn-ing-secundary {
  border: 2px solid var(--color-primario);
  position: relative;
  overflow: hidden;
  background-color: transparent;
  text-align: center;
  text-transform: uppercase;
  transition: 0.3s;
  z-index: 1;
  font-family: inherit;
  color: var(--color-primario);
  box-shadow: 5px 5px 4px var(--color-dark);
}

.btn-ing-secundary::before {
  content: "";
  width: 0;
  height: 300%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background: var(--color-primario);
  transition: 0.5s ease;
  display: block;
  z-index: -1;
}

.btn-ing-secundary:hover::before {
  width: 105%;
}

.btn-ing-secundary:hover {
  color: var(--color-base);
}

/* Slider */

#slider {
  width: 100%;
  height: 520px;
  margin-top: 80px;
  position: relative;
}

.img-carrousel-in {
  width: 100%;
  height: 100%;
  position: relative;
  background-image: url(../images/eye-gb5b96b734_1280.jpg);
  background-repeat: no-repeat;
  background-size:cover !important;
  background-position: 50%;
  display: none;
  cursor: pointer;
}

.img-carrousel-in::before {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0, 0, 0, 0.301);
}

.img-carrousel-in.active {
  display: block;
  animation: imageSlider 5s 1;
}

@keyframes imageSlider {
  from {
    background-size: 100% 100%;
  }

  to {
    background-size: 110% 110%;
  }
}

#button-slider {
  position: absolute;
  right: 10px;
  bottom: 0;
}

#button-slider button {
  transition: 0.4s;
  background-color: #707070;
  width: 50px;
  height: 50px;
  margin: 10px 5px;
  opacity: 0.7;
  border: none;
}

#button-slider button:hover {
  cursor: pointer;
  opacity: 1;
  background-color: var(--color-primario);
}

/* Cambio de slider imagenes */

#button-slider{
  display: inline-flex;
  justify-content: space-around;
  margin-bottom: 10px;
  width: 220px;
}

.btn-imgslider{
  width: 70px;
  height: 70px;
  border-radius: 10px;
  transition: .4s;
  background-repeat: no-repeat;
  background-size: cover;
  background-image: url(../images/eye-gb5b96b734_1280.jpg);
  border: 2px solid var(--color-primario);
}

.btn-imgslider:hover{
  transform: scale(1.1);
  cursor: pointer;
  margin-left: 10px;
  margin-right: 10px;
  border: 2px solid var(--color-secundario);
}

.btn-imgslider.active{
  transform: scale(1.1);
  cursor: pointer;
  margin-left: 10px;
  margin-right: 10px;
  border: 2px solid var(--color-secundario);
}

#btnimgsl{
  background-position:100% 100%;
}

/* fin */

#zona-texto {
  position: absolute;
  left: 0;
  bottom: 0;
  top: 0;
  width: 50%;
  padding-top: 20px;
  padding-left: 40px;
  overflow: hidden;
  padding-right: 10px;
  background-color: rgba(0, 0, 0, 0.63);
  animation: despliegueZona 1s 1;
}

@keyframes despliegueZona {
  from {
    width: 0px;
  }

  to {
    width: 580px;
  }
}

#text-aliado{
  width: 100%;
  line-height: 50px;
  font-family: SecularOne;
  margin-top: -7px;
  color: var(--color-base);
  font-size: 30px;
}

#text-wl {
  width: 100%;
  line-height: 50px;
  font-family: SecularOne;
  margin-top: 70px;
  margin-bottom: 30px;
  color: var(--color-base);
  font-size: 26px;
  width: 530px;
}

#text-wl div {
  width: 530px;
  height: 40px;
  position: relative;
}

#text-wl div .palabras-flotantes {
  position: absolute;
  color: palevioletred;
  bottom: 100%;
  opacity: 0;
}

#text-wl div .palabras-flotantes.active {
  animation: cas 4s 1;
}

#span-wl {
  width: 530px !important;
  font-size: 18px;
}

@keyframes cas {
  0% {
    opacity: 0;
    bottom: 100%;
  }

  50% {
    opacity: 1;
    bottom: 0;
  }

  100% {
    opacity: 0;
    bottom: -100%;
  }
}

.content-slide-select {
  position: absolute;
  right: 0;
  top: 0; /* 
  background-color: rgba(0, 0, 0, 0.384); */
  color: var(--color-base);
  padding: 10px;
  font-family: Arial, Helvetica, sans-serif;
  width: 50%;
}

.content-slide-select .title-ss {
  color: var(--color-base);
  font-size: 18px;
  font-family: FiraSans-Medium;
  text-align: end;
}

.content-slide-select .title-ss span {
  font-family: SecularOne;
  font-size: 40px;
  color: var(--color-secundario);
}

.btn-option {
  font-size: 24px;
  padding: 5px 14px;
  width: 60px;
  position: relative;
}

.hover-option-2 {
  margin-top: 20px;
  position: relative;
  display: inline-flex;
  justify-content: end;
  width: 100%;
}

.content-option-sevice {
  position: absolute;
  display: none;
  top: -20px;
  right: 110px;
  padding: 10px;
  width: 400px;
  min-height: 150px;
  padding-top: 10px;
  border-radius: 10px;
}

.option-service-r {
  width: 100%;
  margin-top: 5px;
  display: inline-flex;
  justify-content: space-between;
}

.option-service {
  width: 49%;
  height: 60px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 5;
  font-size: 14px;
  text-align: center;
  font-size: FiraSans-Medium;
  transition: 0.4s;
  border-radius: 10px;
  margin: 5px;
  color: var(--color-base);
}

.option-service:hover img{
  transform: scale(1.1);
}


@keyframes colorLetraSelec {
  0% {
    color: var(--color-base);
  }

  25% {
    color: var(--color-primario);
  }

  50% {
    color: var(--color-secundario);
  }

  75% {
    color: var(--color-cuarto);
  }

  100% {
    color: var(--color-base);
  }
}


/* about */
main {
  background-color: var(--color-base);
}
main .container {
  background-color: var(--color-base);
}

.item-about {
  width: 100%;
  display: inline-flex;
  justify-content: space-between;
  position: relative;
}

.item-about .img-about-item {
  width: 300px;
  height: 100px;
  background-repeat: no-repeat;
  background-size: 100%;
}

.item-about div:nth-child(2) {
  width: 1300px;
}

#collapseNosotros {
  display: none;
  /* height: 0px; */
}

#collapseNosotros.active {
  display: block;
  animation: collapseDes 1s 1;
}

@keyframes collapseDes {
  from {
    height: 0%;
  }

  to {
    height: 100%;
  }
}

/* Scrool down */

/* From uiverse.io by @mrhyddenn */
.scrolldown {
  --sizeX: 34px;
  --sizeY: 80px;
  position: fixed;
  bottom: 130px;
  right: 20px;
  width: var(--sizeX);
  height: var(--sizeY);
  margin-left: var(sizeX / 2);
  border: calc(var(--sizeX) / 10) solid var(--color-cuarto);
  border-radius: 50px;
  box-sizing: border-box;
  margin-bottom: 16px;
  cursor: pointer;
}

.scrolldown::before {
  content: "";
  position: absolute;
  bottom: 50px;
  left: 40%;
  width: 10px;
  height: 10px;
  margin-left: -3px;
  background-color: var(--color-cuarto);
  border-radius: 100%;
  animation: scrolldown-anim 2s infinite;
  box-sizing: border-box;
  box-shadow: 0px -5px 3px 1px #2a547066;
}

@keyframes scrolldown-anim {
  0% {
    opacity: 0;
    height: 6px;
  }

  40% {
    opacity: 1;
    height: 10px;
  }

  80% {
    transform: translate(0, 30px);
    height: 10px;
    opacity: 0;
  }

  100% {
    height: 3px;
    opacity: 0;
  }
}

.chevrons {
  padding: 10px 0 0 0;
  margin-left: 0px;
  margin-top: 78px;
  width: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.chevrondown {
  margin-top: -2px;
  position: relative;
  border: solid var(--color-cuarto);
  border-width: 0 3px 3px 0;
  display: inline-block;
  width: 14px;
  height: 14px;
  transform: rotate(45deg);
}

.chevrondown:nth-child(odd) {
  animation: pulse54012 500ms ease infinite alternate;
}

.chevrondown:nth-child(even) {
  animation: pulse54012 500ms ease infinite alternate 250ms;
}

@keyframes pulse54012 {
  from {
    opacity: 0;
  }

  to {
    opacity: 0.5;
  }
}
/* Footer */

footer {
  background-color: var(--color-terciario);
  font-weight: 900;
  width: 100%;
  padding-top: 50px;
}

.title-footer {
  color: var(--color-base);
  font-family: SecularOne;
  text-align: center;
  font-size: 24px;
  text-transform: uppercase;
  margin-bottom: 40px;
}

.list-footer {
  padding: 0;
  margin: 0;
  width: 100%;
}

.list-footer li {
  list-style: none;
  margin-top: 10px;
  text-align: center;
}

.list-footer li a {
  text-decoration: none;
  color: var(--color-base);
  font-family: Arial, Helvetica, sans-serif;
  transition: 0.4s;
  font-family: FiraSans-Medium;
}

.list-footer li a:hover {
  text-decoration: underline;
  color: var(--color-secundario);
  transform: scale(1.1);
}

.img-footer {
  margin: 10px;
  cursor: pointer;
  transition: 0.4s;
}

.img-footer:hover {
  transform: scale(1.1);
}

/* From uiverse.io by @alexruix */
.input-group {
  display: flex;
  align-items: center;
  width: 100%;
}

.input {
  font-family: FiraSans-Medium;
  min-height: 50px;
  max-width: 150px;
  padding: 0 1rem;
  color: var(--color-base);
  font-size: 15px;
  border: 1px solid var(--color-primario);
  border-radius: 6px 0 0 6px;
  background-color: transparent;
}

.button--submit {
  min-height: 50px;
  padding: 0.5em 1em;
  border: none;
  border-radius: 0 6px 6px 0;
  background-color: var(--color-primario);
  color: var(--color-base);
  font-size: 15px;
  cursor: pointer;
  transition: background-color 0.3s ease-in-out;
}

.button--submit:hover {
  background-color: var(--color-secundario);
}

.input:focus,
.input:focus-visible {
  border-color: var(--color-primario);
  outline: none;
}

.copy-right {
  background-color: var(--color-dark);
  color: var(--color-base);
  text-align: center;
  width: 100%;
  font-size: 15px;
  font-family: "Times New Roman", Times, serif;
  padding-top: 11px;
  padding-bottom: 11px;
}

/* Cifras */

.contador {
  width: 100%;
  position: relative;
}

#contador-1::after,#contador-2::after{
  display: none;
  position: absolute;
  content: "";
  width: 0; 
  height: 0; 
  border-left: 20px solid var(--color-base);
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent; 
  top: -20px;
  left: 40px;
  transform: rotate(90deg);
}

#contador-1:hover::before,#contador-2:hover::before{
  display: block;
  cursor: pointer;
}
#contador-1:hover::after,#contador-2:hover::after{
  display: block;
  cursor: pointer;
}

#contador-1::before{
  display: none;
  position: absolute;
  font-family: SecularOne;
  content: " * Digitalización    *Estrategia de relaciones públicas";
  z-index: 888;
  color: var(--color-primario);
  width: 200px;
  height: 100px;
  background-color: var(--color-base);
  box-shadow: 5px 5px 5px var(--color-dark);
  padding: 10px;
  top: -120px;  
  border-radius: 10px;
}

#contador-2::before{
  display: none;
  position: absolute;
  content: " *Neuro-ventas     *Neuro-innovación     *StoryTelling     *Estrategia de ventas     *Ventas en USD/EUR     *Omnicanalidad     *Medio digitales";
  font-family: SecularOne;
  z-index:888 ;
  color: var(--color-primario);
  width: 200px;
  height: 180px;
  background-color: var(--color-base);
  box-shadow: 5px 5px 5px var(--color-dark);
  padding: 10px;
  top: -200px;  
  border-radius: 10px;
}



.contador .text-contador {
  font-size: 18px;
  position: relative;
  color: var(--color-base);
  font-family: SecularOne;
  display: inline-flex;
  justify-content: space-between;
  width: 100%;
}

.contador .global {
  width: 80%;
  height: 8px;
  background-color: var(--color-dark);
  border-radius: 4px;
  padding: 0;
}

.contador .global .global-content {
  margin: 0;
  height: 100%;
  border-radius: 4px;
  width: 45%;
  box-shadow: inset 1px 1px 2px rgba(114, 108, 108, 0.445);
}

.contador .global .global-content div {
  width: 100%;
  height: 100%;
  background-image: linear-gradient(to right, var(--color-cuarto), var(--color-primario));
  border-radius: 4px;
  position: relative;
  /* animation: aumentoBarra 2s 1; */
  box-shadow: 0px 0px 5px var(--color-cuarto);
}

/* Modal */

.modal-title {
  font-family: SecularOne;
}

.form-label {
  font-family: SecularOne;
}

#modal-bg-p {
  color: var(--color-base);
  background-color: var(--color-terciario);
  background-image: url(../images/ingenioDigotal.png);
}

@keyframes aumentoBarra {
  from {
    width: 0%;
  }

  to {
    width: 100%;
  }
}

.arrow_down{
  position: fixed;
  right: 10px;
  bottom: 140px;
  height: 80px;
  z-index: 999;
  cursor: pointer;
}

.arrow_down img{
  transform: rotate(90deg);
  animation: scrollD 2s infinite;
}

@keyframes scrollD {
  from{
    margin-top: 0px;
    opacity: .3;
  }

  to {
    margin-top: 40px;
    opacity: 1;
  }
}

@media (max-width: 1020px) {
  #text-wl{
    width: 100%;
  }

  #zona-texto{
    margin-bottom: 20px;
  }

}

@media (min-width: 576px) and (max-width: 767px) {

  #button-slider {
    position: absolute;
    right: 10px;
    z-index: 999;
  }

  #zona-texto {
    width: 100%;
  }

  #text-wl {
    font-size: 22px;
    width: 100%;
  }

  .palabras-flotantes {
    width: 100%;
    font-size: 22px;
  }

  #span-wl {
    width: 100%;
  }

  .content-slide-select {
    display: none;
  }
}

@media (max-width: 575px) {

  #button-slider {
    display: none;
  }

  #zona-texto {
    font-size: 22px;
    width: 100% !important;
  }

  #text-wl {
    width: 100% !important;
  }

  #text-wl div{
    width: 100% !important;
  }

  .palabras-flotantes {
    width: 100% !important;
    font-size: 22px;
    line-height: 20px;
  }

  #span-wl {
    width: 100% !important;
  }

  .content-slide-select {
    display: none;
  }

  #descriptionPortafolio{
    text-align: justify;
  }

  #descriptionPortafolio2{
    text-align: justify;
    padding: 100px;
  }

  #como{
    margin-left: 0px;
    font-size:34px;
  }

  #accordionProyectosLP::before{
    display: none;
  }
  
}

.secular{
  font-family : SecularOne;
}

#slogan{
  color: var(--color-secundario);
  font-family:FiraSans-Regular;
  font-size: 20px;
  text-align: center;
}

#text-xperience{
  font-family:SecularOne;
  font-size: 20px;
  color: var(--color-secundario);
}

#text-serv-dd{
  font-family: SecularOne;
  color: var(--color-base);
  font-size: 20px;
  text-align: left;
  padding: 20px 30px;
}

#text-serv-dd i{
  font-family: SecularOne;
}

.copy-right:hover{
  text-decoration: underline;
  cursor: pointer;
}

#btn-proyectos{
  background: linear-gradient(145deg, #15a6b5, #19c5d7);
  box-shadow:  10px 10px 30px 149cab,
             -10px -10px 30px #1ad4e7;
  transition: .4s;
}

#btn-proyectos:hover{
  transform: scale(1.1);
}